ChangeSet 1.1371.759.4, 2004/04/23 14:49:10-07:00, stern@rowland.harvard.edu

[PATCH] USB: unusual_devs.h update

On Tue, 20 Apr 2004, Damian Ivereigh wrote:

> Here is the output of dmesg when plugging in an IBM USB MemKey
>
> usb-storage: This device (0a16,8888,0100 S 06 P 50) has unneeded SubClass and Protocol entries in unusual_devs.h
>    Please send a copy of this message to <linux-usb-devel@lists.sourceforge.net>

Thank you for sending this in.  Greg and Pete, here's the patch.


 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri May 14 15:34:33 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri May 14 15:34:33 2004
@@ -672,7 +672,7 @@
 UNUSUAL_DEV(  0x0a16, 0x8888, 0x0100, 0x0100,
 		"IBM",
 		"IBM USB Memory Key",
-		US_SC_SCSI, US_PR_BULK, NULL,
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_INQUIRY ),
 
 /* This Pentax still camera is not conformant
